Summary: The Gnome Config System.
Name: GConf
Version: 1.0.8
Release: 2
License: LGPL
Group: System Environment/Base
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/GConf/GConf-%{version}.tar.bz2
Source2: GConf-pofiles.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org
Prereq: /sbin/install-info
Prefix: /usr
Requires: glib >= 1.2.0
Requires: oaf >= 0.3.0
Requires: gtk+ >= 1.2.0
Requires: ORBit >= 0.5.0
Requires: libxml >= 1.8.0
BuildRequires: libxml-devel ORBit-devel gtk+-devel oaf-devel glib-devel

%description
GConf is the GNOME Configuration database system.

GNOME is the GNU Network Object Model Environment. It is an easy to
use, powerful, and highly configurable desktop environment.

%package devel
Summary: The Gnome Config System development package.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: ORBit-devel
Requires: glib-devel
Requires: oaf-devel
Requires: gtk+-devel

%description devel
GConf development package. Contains files needed for doing
development using GConf.

%prep
%setup

## unpack pofiles
bunzip2 -dc %{SOURCE2} | tar -xf -

%build
%configure
make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/gconf.xml.defaults
chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/gconf.xml.mandatory

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gconf/1/path
%config %{_sysconfdir}/gconf/schemas/*.schemas
%dir %{_sysconfdir}/gconf/gconf.xml.defaults
%dir %{_sysconfdir}/gconf/gconf.xml.mandatory
%{_bindir}/gconfd-1
%{_bindir}/gconftool-1
%{_libdir}/*.0*
%{_libdir}/*.1*
%{_libdir}/GConf/1/*.so

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/GConf/1/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig
%{_includedir}/gconf
%{_datadir}/aclocal/*.m4
%{_bindir}/gconf-config
%{_bindir}/gconf-config-1

%changelog
* Sat Feb 23 2002 Peter Hanecak <hanecak@megaloman.sk>
- .bz2 source archives
- again: install the .la files in the devel package - galeon requires them

* Fri Feb  8 2002 Havoc Pennington <hp@redhat.com>
- fix some /usr/bin->bindir mess
- add .pc files to file list, #59244
- remove *.la
- 1.0.8

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- fix file list to contain the library... (glob didn't catch a lib with a revision number)

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- 1.0.7, should fix the GAL conflict and resulting evolution hang

* Tue Oct 16 2001 Havoc Pennington <hp@redhat.com>
- 1.0.6, unscrews things for Galeon post

* Sun Oct 14 2001 Havoc Pennington <hp@redhat.com>
- 1.0.5

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- rebuild in dist-7.2-gnome

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- remove %{_bindir}/gconftool, now in GConf2

* Fri Sep 14 2001 Havoc Pennington <hp@redhat.com>
- fix description/summary

* Fri Aug 31 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Wed Aug 15 2001 Havoc Pennington <hp@redhat.com>
- upgrade to 1.0.4 release I just made
- fixes #51223, syslog spew

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- move gconf-config to devel RPM

* Mon Jul 23 2001 Havoc Pennington <hp@redhat.com>
- how many releases of GConf can I make before it works?

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 1.0.2 (which contains only bugfixes that 
  I reviewed and/or wrote myself)

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- create the %{_sysconfdir}/gconf/gconf.xml.defaults directory 

* Fri Jul  6 2001 Alexander Larsson <alexl@redhat.com>
- Install the .la files in the devel package.

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use %%{_tmppath}
- Move the .so files to the devel subpackage
- langify
- Move changelog to the end, where it should be :)
- Don't specify (a bad) doc directory
- Don't define name, version and release and use it in the rpm headers later
- Remove "Packager:"
- s/Copyright/License/

* Fri Jun 22 2001 Havoc Pennington <hp@redhat.com>
- add --direct option to gconftool to avoid spawning oafd,
  then commented out gconftool entirely since it checks
  whether gconfd is running and that spawns oafd anyhow.
  oafd simply needs to exit when unused.

* Tue May 15 2001 Havoc Pennington <hp@redhat.com>
- Fix post, pointed out by Bill

* Mon May 14 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 1.0.1

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Import to Red Hat build system.

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>

- Created the .spec file
